Convex polyline - Python

rhino

#1

Hi,

I need some help, I got stuck. I have number of points and I would like to create a convex closed polyline. We are talking about four points only, so I would like to get a closed shape but at the moment I get a “Z”.

Any idea how to do it in python?


#2

can you show an example of the polyline?

four points & convex closed polyline isn’t making sense to me at the moment.


[edit]
oh wait… something like this?

(the two points in the middle are elevated)


#3

if your problem is that the polyline isn’t closing, you could add the first point to the back of the list. (so there will be 5 points in the list instead of 4)

say your list of points is called pts… try this:

pts.append(pts[0])
pline = rs.AddPolyline(pts)